bitel.billing.server.voiceip.bean

## Class VoiceIpLogin

- java.lang.Object
- - bitel.billing.server.call.bean.Login
  - - bitel.billing.server.voiceip.bean.VoiceIpLogin

- All Implemented Interfaces:
    java.io.Serializable

      public class VoiceIpLogin
      extends Login

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DC_FILTER_NOT_USE`
    `static int` | `DC_FILTER_USE`
    `static int` | `RECALC_ANY_SESSION`
    `static int` | `RECALC_NEVER`
    `static int` | `TM_BY_CALLED_ID`
    `static int` | `TM_BY_CALLING_ID`
    `static int` | `TM_NO_TARIFICATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceIpLogin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBalanceRecalcMode()` Возвращает режим пересчета баланса
    `int` | `getInTariffType()` Возвращает режим тарификации входящих звонков
    `int` | `getOutTariffType()` Возвращает режим тарификации исходящих звонков
    `int` | `getType()` Возвращает тип логина
    `int` | `getUseDcFilterMode()` Проверяет, используется ли фильтрация по disconnect clause
    `void` | `importTypeOptions(LoginType type)`
    `boolean` | `isAuthCheckPassword()` Проверяет, используется ли проверка пароля при аутентификации
    `boolean` | `isIgnoreAccount()` Проверяет, игнорировать ли наработку
    `void` | `setAuthCheckPassword(boolean authCheckPassword)` Устанавливает, нужна ли проверка пароля при аутентификации
    `void` | `setBalanceRecalcMode(int balanceRecalcMode)` Устанавливает режим пересчета баланса
    `void` | `setIgnoreAccount(boolean ignoreAccount)` Устанавливает, игнорировать ли наработку
    `void` | `setInTariffType(int inTariffType)` Устанавливает режим тарификации входящих звонков
    `void` | `setOutTariffType(int outTariffType)` Устанавливает режим тарификации исходящих звонков
    `void` | `setType(int type)` Устанавливает тип логина
    `void` | `setUseDcFilterMode(int useDcFilterMode)` Устанавливает, используется ли фильтр по disconnect clause

    - ### Methods inherited from class bitel.billing.server.call.bean.Login

      `getCid, getComment, getDate1, getDate2, getId, getLogin, getMaxSession, getObjectId, getPswd, getStatus, setCid, setComment, setDate1, setDate2, setId, setLogin, setMaxSession, setObjectId, setPswd, setStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TM_NO_TARIFICATION

          public static final int TM_NO_TARIFICATION

      See Also:
        Constant Field Values

    - #### TM_BY_CALLING_ID

          public static final int TM_BY_CALLING_ID

      See Also:
        Constant Field Values

    - #### TM_BY_CALLED_ID

          public static final int TM_BY_CALLED_ID

      See Also:
        Constant Field Values

    - #### RECALC_ANY_SESSION

          public static final int RECALC_ANY_SESSION

      See Also:
        Constant Field Values

    - #### RECALC_NEVER

          public static final int RECALC_NEVER

      See Also:
        Constant Field Values

    - #### DC_FILTER_USE

          public static final int DC_FILTER_USE

      See Also:
        Constant Field Values

    - #### DC_FILTER_NOT_USE

          public static final int DC_FILTER_NOT_USE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VoiceIpLogin

          public VoiceIpLogin()

  - ### Method Detail

    - #### isIgnoreAccount

          public boolean isIgnoreAccount()

      Проверяет, игнорировать ли наработку
      Returns:
        true, если игнорировать

    - #### setIgnoreAccount

          public void setIgnoreAccount(boolean ignoreAccount)

      Устанавливает, игнорировать ли наработку
      Parameters:
        `ignoreAccount` - true, если игнорирует

    - #### getType

          public int getType()

      Возвращает тип логина
      Returns:
        тип логина

    - #### setType

          public void setType(int type)

      Устанавливает тип логина
      Parameters:
        `type` - тип логина

    - #### getInTariffType

          public int getInTariffType()

      Возвращает режим тарификации входящих звонков
      Returns:
        режим

    - #### setInTariffType

          public void setInTariffType(int inTariffType)

      Устанавливает режим тарификации входящих звонков
      Parameters:
        `inTariffType` - новый режим

    - #### getOutTariffType

          public int getOutTariffType()

      Возвращает режим тарификации исходящих звонков
      Returns:
        режим тарификации

    - #### setOutTariffType

          public void setOutTariffType(int outTariffType)

      Устанавливает режим тарификации исходящих звонков
      Parameters:
        `outTariffType` - режим

    - #### setBalanceRecalcMode

          public void setBalanceRecalcMode(int balanceRecalcMode)

      Устанавливает режим пересчета баланса
      Parameters:
        `balanceRecalcMode` - режим

    - #### getBalanceRecalcMode

          public int getBalanceRecalcMode()

      Возвращает режим пересчета баланса
      Returns:

    - #### getUseDcFilterMode

          public int getUseDcFilterMode()

      Проверяет, используется ли фильтрация по disconnect clause
      Returns:
        1, если используется

    - #### setUseDcFilterMode

          public void setUseDcFilterMode(int useDcFilterMode)

      Устанавливает, используется ли фильтр по disconnect clause
      Parameters:
        `useDcFilterMode` - 1, если используется

    - #### isAuthCheckPassword

          public boolean isAuthCheckPassword()

      Проверяет, используется ли проверка пароля при аутентификации
      Returns:

    - #### setAuthCheckPassword

          public void setAuthCheckPassword(boolean authCheckPassword)

      Устанавливает, нужна ли проверка пароля при аутентификации
      Parameters:
        `authCheckPassword` -

    - #### importTypeOptions

          public void importTypeOptions(LoginType type)